# Class BoundingClientRectCacheElement

Cached information from a `DOMRect`.

#### Implements

- DOMRectCached

##### Index

### Constructors

constructor

### Properties

bottom
document
element
height
left
right
scrollLeft
scrollTop
top
width
x
y

### Accessors

lastRefreshInMs

### Methods

refresh
toJSON

## Constructors

### constructor

- new BoundingClientRectCacheElement(
  element: HTMLElement,
  ): BoundingClientRectCacheElement

  #### Parameters

  - element: HTMLElement

  #### Returns BoundingClientRectCacheElement

## Properties

### `Readonly` bottom

bottom: number

MDN Reference

Implementation of DOMRectCached.bottom

### `Readonly` document

document: { scrollLeft: number; scrollTop: number } = ...

Implementation of DOMRectCached.document

### element

element: HTMLElement

### `Readonly` height

height: number

MDN Reference

Implementation of DOMRectCached.height

### `Readonly` left

left: number

MDN Reference

Implementation of DOMRectCached.left

### `Readonly` right

right: number

MDN Reference

Implementation of DOMRectCached.right

### `Readonly` scrollLeft

scrollLeft: number

Same as `HTMLElement.scrollLeft`

Implementation of DOMRectCached.scrollLeft

### `Readonly` scrollTop

scrollTop: number

Same as `HTMLElement.scrollTop`

Implementation of DOMRectCached.scrollTop

### `Readonly` top

top: number

MDN Reference

Implementation of DOMRectCached.top

### `Readonly` width

width: number

MDN Reference

Implementation of DOMRectCached.width

### `Readonly` x

x: number

MDN Reference

Implementation of DOMRectCached.x

### `Readonly` y

y: number

MDN Reference

Implementation of DOMRectCached.y

## Accessors

### lastRefreshInMs

- get lastRefreshInMs(): number

  Last time, in ms, refresh was called.

  #### Returns number

  Implementation of DOMRectCached.lastRefreshInMs

## Methods

### refresh

- refresh(): void

  Refreshes cached client rect information (by calling wrapped `HTMElement.getBoundingClientRect()`). Updates lastRefreshInMs when called.

  #### Returns void

  Implementation of DOMRectCached.refresh

### toJSON

- toJSON(): void

  MDN Reference

  #### Returns void

  Implementation of DOMRectCached.toJSON